Subject: How to share config and hooks ?

From: Christian Senkowski <[email-masked]>
Date: Wed, 27 May 2009 21:58:04 +0200

I am searching for a way to share 'config' and hooks/* automatically.
I'd like to change and commit them as normal files and every user
cloning this repo should get those.

One way might be a little wrapper-script for git-clone which looks if
repo/.gitconfig or repo/.githooks exist and copies then the files to
repo/.git/[...]

But I am searching for a way to do this without any additional scripts.

Does anyone have an idea ?
And what'd you say about implementing this (with a
yes-please-copy-the-found-files/no-leave-them-alone - question) directly
into the git-binary ?

--